Skip to main content
DELETE
/
sourcing
/
searches
/
{searchId}
Delete sourcing search
curl --request DELETE \
  --url https://hireloam.com/api/v1/sourcing/searches/{searchId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://hireloam.com/api/v1/sourcing/searches/{searchId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://hireloam.com/api/v1/sourcing/searches/{searchId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "deleted": true
}
{
"error": {
"code": "unauthorized",
"message": "Invalid or missing API key"
}
}
{
"error": {
"code": "forbidden",
"message": "Missing required scope: write"
}
}
{
"error": {
"code": "not_found",
"message": "Application not found"
}
}
{
"error": {
"code": "internal_error",
"message": "An internal error occurred"
}
}

Authorizations

Authorization
string
header
required

API key from Settings > API Keys

Path Parameters

searchId
string<uuid>
required

Response

Search deleted

deleted
boolean